---
title: HTMLVideoElement.videoHeight
slug: Web/API/HTMLVideoElement/videoHeight
tags:
  - API
  - HTML
  - HTML DOM
  - HTMLVideoElement
  - Intrinsic Height
  - Intrinsic Width
  - Media
  - Property
  - Read-only
  - Reference
  - Video
  - Video Dimensions
  - dimension
  - height
  - size
  - videoHeight
  - videoWidth
---
<p>{{APIRef("HTML DOM")}}</p>

<p><span class="seoSummary">The {{domxref("HTMLVideoElement")}} interface's read-only <code><strong>videoHeight</strong></code> property indicates the <strong>intrinsic height</strong> of the video, expressed in CSS pixels. In simple terms, this is the height of the media in its natural size.</span> See {{anch("About intrinsic width and height")}} for more details.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>height</em> = <em>htmlVideoElement</em>.videoHeight;</pre>

<h3 id="Value">Value</h3>

<p>An integer value specifying the intrinsic height of the video in CSS pixels. If the element's {{domxref("HTMLMediaElement.readyState", "readyState")}} is <code>HTMLMediaElement.HAVE_NOTHING</code>, then the value of this property is 0, because neither video nor poster frame size information is yet available.</p>

<h3 id="About_intrinsic_width_and_height">About intrinsic width and height</h3>

<p>A {{Glossary("user agent")}} calculates the intrinsic width and height of the element's media by starting with the media's raw pixel width and height, then taking into account factors including:</p>

<ul>
 <li>The media's aspect ratio.</li>
 <li>The media's clean aperture (the sub-rectangle centered within the media that matches the target aspect ratio).</li>
 <li>The target device's resolution.</li>
 <li>Any other factors required by the media format.</li>
</ul>

<p>If the element is currently displaying the poster frame rather than rendered video, the poster frame's intrinsic size is considered to be the size of the <code>&lt;video&gt;</code> element.</p>

<p>If at any time the intrinsic size of the media changes and the element's {{domxref("HTMLMediaElement.readyState", "readyState")}} isn't <code>HAVE_NOTHING</code>, a {{domxref("HTMLMediaElement.resize", "resize")}} event will be sent to the <code>&lt;video&gt;</code> element. This can happen when the element switches from displaying the poster frame to displaying video content, or when the displayed video track changes.</p>

<h2 id="Example">Example</h2>

<p>This example creates a handler for the {{domxref("HTMLVideoElement.resize", "resize")}} event that resizes the {{HTMLElement("video")}} element to match the intrinsic size of its contents.</p>

<pre class="brush: js">let v = document.getElementById("myVideo");

v.addEventListener("resize", ev =&gt; {
  let w = v.videoWidth;
  let h = v.videoHeight;

  if (w &amp;&amp; h) {
    v.style.width = w;
    v.style.height = h;
  }
}, false);
</pre>

<p>Note that this only applies the change if both the <code>videoWidth</code> and the <code>videoHeight</code> are non-zero. This avoids applying invalid changes when there's no true information available yet for dimensions.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG', "#dom-video-videoheight", "HTMLVideoElement.videoHeight")}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td></td>
  </tr>
  <tr>
   <td>{{SpecName('HTML5 W3C', "semantics-embedded-content.html#dom-htmlvideoelement-videoheight", "HTMLVideoElement.videoHeight")}}</td>
   <td>{{Spec2('HTML5 W3C')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.HTMLVideoElement.videoHeight")}}</p>
